#include "MathLibrary.hpp"

namespace Porygon::StandardLibraries{
    using namespace Porygon::Evaluation;
    const EvalValue* MathLibrary::_huge = new FloatEvalValue(DBL_MAX);
    const EvalValue* MathLibrary::_maxInteger = new IntegerEvalValue(INT64_MAX);
    const EvalValue* MathLibrary::_minInteger = new IntegerEvalValue(INT64_MIN);
    const EvalValue* MathLibrary::_pi = new FloatEvalValue(M_PI);
}